API ReferenceCWT PDF templates
Create a PDF template
POST
/v2/credentials/compact/pdf/templatesCreates a CWT credential PDF template based on a provided .zip file. Refer to our PDF template design guide for more information on how to design a template and structure the .zip file.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_STARTCREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_SUCCESSCREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/zip
TypeScript Definitions
Use the request body type in TypeScript.
body*file
Format
binaryResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials/compact/pdf/templates" \ -H "Content-Type: application/zip" \ -d 'string'{ "id": "string", "name": "string", "fileName": "string", "fonts": [ { "name": "string", "fileName": "string" } ], "metadata": { "title": "string" }, "fields": [ { "key": "string", "value": "string", "isRequired": true, "alternativeText": "string", "fontName": "string" } ]}How would you rate this page?
Format a CWT credential as a Google Pass POST
Returns a Google Pass representation of a provided CWT credential based on an existing Google Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout>
Retrieve all PDF templates GET
Retrieves a list of all CWT credentials PDF templates available on the tenant.